---
sidebar_position: 1
---

# Introduction

Novu is an open-source notification infrastructure built for the engineering teams to help them build rich product notification experiences without constantly re-inventing the wheel.

## Why?

Building a notification layer is that thing that we as developers have to do for every new project. It usually starts the same, sending just a simple email, and after a while, you'll find yourself managing hundreds of notifications across multiple channels. Novu’s goal is to help developers create meaningful transactional communication between the product and its users of it. All with an easy-to-use API and outstanding developer experience.

## Unified API

Today, users tend to receive communication across multiple providers. [Sendgrid](https://sendgrid.com/) for Email, [Twilio](https://www.twilio.com/) for SMS, Mailchimp, Push, Web-Push, Chat messaging (Slack and etc...). The main reasoning behind this is that users expect to customize the communication channels to fit their needs and goals. This forces developers to manage all of those API's across the codebase.

As developers, we tend to create abstractions, but following the growing number of integrations, channels of communication is sent this becomes a burden on the team and is usually implemented only on an as just-make-it-work-mode.

Novu provides a single API to manage all your customer communication. Need to add a new provider? Switch your email provider? Fallback to mailgun when SendGrid is down? We've got you covered!

## Community Driven

When we just started, we felt the frustration of reinventing the wheel of notification infrastructure is a unique problem that not a lot of developers have experienced. After a couple of conversations with fellow engineers, we decided to open-source the initial seed of Novu. And oh boy how wrong we were. Thousands of developers from around the world reached out and told us their stories of building such systems in-house.

Building Novu is not an act of an individual, it’s a collaborative work of many. Join us in building the future of notification experiences.
